%define name    ocsng
%define Name	OCSNG
%define version 1.0
%define subversion RC1
%define release %mkrel 0.1
%define order   71
%define tarserver %{Name}_LINUX_SERVER
%define taragent %{Name}_LINUX_AGENT
%define serverdir %{name}-linux-server
%define agentdir %{name}-linux-agent
%define _requires_exceptions pear(dbconfig.inc.php)\\|pear(composants.php)\\|pear(dico.php)

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Open computer and software inventory
License:        GPL
Group:          System/Servers
URL:            http://www.egroupware.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Source0:	%{taragent}_1.0-RC1.tar.gz	
Source1:	%{tarserver}_1.0-RC1.tar.gz
Source2:	%{tarserver}_PATCH_1.0-RC1-1.tar.gz
Source3:	OCS_Inventory_NG-Installation_and_Administration_Guide_1.3_EN.pdf.zip
Source4:	ipdiscover.c
Source5:	README.urpmi.client
Source6:	README.urpmi.server
Source7:	ocsng-server-rotate
Source8:	README.ipdiscover
Patch0:		ocsng-client.pl.patch.bz2
Patch1:		apache_config.patch.bz2
Patch2:		ocsinventory-installer.pl.patch.bz2
Patch3:         ipdiscover-util.patch.bz2
Patch4:         ocsng-client-rotate.patch.bz2

%description
Contains documentation, agent, server and ipdiscover for OCS-Inventory

%package linux-agent
Summary:        Linux agent for OCSNG
Group:          System/Servers
Requires:       dmidecode >= 2.6

%description linux-agent
Linux agent for ocs-inventory. Dialog between client computers 
and management server is based on actual standards, HTTP protocol 
and XML data formatting.

%package linux-server
Summary:        Linux server for OCSNG
Group:          System/Servers
Requires(pre):  apache-conf > 2.0.54-5mdk
Requires(pre):  apache-base > 2.0.54-5mdk
Requires(pre):  apache-mpm-prefork >= 2.0.54-5mdk
Requires:       apache-mod_php php-mysql php-xml php-zip apache-mod_perl

%description linux-server
Linux server for ocs-inventory. Inventoried client computers 
can run Microsoft Windows 95/98/Me/NT4/2000/XP/2003 or 
Linux operating systems. Used with a parc management software 
such as GLPI, you will have a powerful inventory and parc 
management software with automatic updates of computer 
configuration, license management, help desk and more.

%package linux-server-ipdiscover
Summary:        Linux server for OCSNG
Group:          System/Servers
Requires:	ocsng-linux-server
Requires:	samba-client
Requires:	nmap

%description linux-server-ipdiscover
ipdiscover util for ocs-inventory server. It can scan 
network to look for uninventoried material.

%package doc
Summary:        Documentation for OCSNG
Group:          System/Servers

%description doc
Documentation for ocs-inventory


%prep
%setup -q -T -c
%setup -q -T -a 1 -D -c
%setup -q -T -a 2 -D -c
%setup -q -T -a 3 -D -c
%setup -q -T -b 0 -D -c
%patch0 -p0 
%patch1 -p0 
%patch2 -p0
%patch3 -p0
%patch4 -p0

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'


%build
%__cc %SOURCE4 -o ipdiscover

%install
rm -rf  $RPM_BUILD_ROOT

# linux agent
pushd %{taragent}_%{version}-%{subversion}

install -d $RPM_BUILD_ROOT%_sbindir
install -d $RPM_BUILD_ROOT%_defaultdocdir/%{agentdir}-%{version}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/ocsinventory-client
install -d $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d

install -m 755 ../ipdiscover %buildroot%_sbindir
install -m 644 %{SOURCE8} %buildroot%_defaultdocdir/linux-server-ipdiscover-%{version}
install -m 755 ocsinventory-client.pl %buildroot/%_sbindir
install -m 755 ocsinventory-installer.pl %buildroot%_sbindir
install -d -m 755 require %buildroot%_datadir/%{agentdir}-%{version}
install -m 644 changelogs %buildroot%_defaultdocdir/%{agentdir}-%{version}
install -m 644 README %buildroot%_defaultdocdir/%{agentdir}-%{version}
install -m 644 %{SOURCE5} %buildroot%_defaultdocdir/%{agentdir}-%{version}/README.urpmi

### for ghost logrotate file (created by install script)
touch %buildroot%{_sysconfdir}/logrotate.d/ocsng-linux-agent

popd
# end of linux agent

# linux server
pushd %{tarserver}_%{version}-%{subversion}

install -d -m 755 $RPM_BUILD_ROOT%{_var}/www/cgi-bin
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{serverdir}-%{version}
install -d $RPM_BUILD_ROOT%_defaultdocdir/%{serverdir}-%{version}

cp -r ocsreports %buildroot%{_var}/www
chmod 644 %buildroot%{_var}/www/ocsreports/ocsbase.sql
chmod 755 %buildroot%{_var}/www/ocsreports/files/OcsAgent.exe
perl -pi -e 's|(^use lib).*|$1 "%{_datadir}/%{serverdir}-%{version}";|' ocsinventory-NG/Ocsinventory_startup.pl
install -m 755  ocsinventory-NG/Ocsinventory_startup.pl  %buildroot%{_var}/www/cgi-bin
install -m 644 ocsinventory-NG/ocs-errors %buildroot%{_datadir}/%{serverdir}-%{version}
install -m 755 ocsinventory-NG/Ocsinventory_local.pl %buildroot%{_datadir}/%{serverdir}-%{version}
install -m 644 %{SOURCE7} %buildroot%{_sysconfdir}/logrotate.d/ocsng-linux-server
install -m 644 %{SOURCE6} %buildroot%_defaultdocdir/%{serverdir}-%{version}/README.urpmi

### server logs
install -d -m 755 $RPM_BUILD_ROOT%_var/log/ocsinventory-NG

### use mod_perl version > 1.999
install -m 755 Ocsinventory.pm_4_mp_since_1.999_22/Ocsinventory.pm %buildroot%{_datadir}/%{serverdir}-%{version}
install -m 644 ocsinventory-NG/changelogs %buildroot%_defaultdocdir/%{serverdir}-%{version}
install -m 644 ocsinventory-NG/INSTALL %buildroot%_defaultdocdir/%{serverdir}-%{version}


### Apache configuration for linux server
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf/webapps.d
cat ocsinventory-NG/apache_config > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf/webapps.d/%{order}_%{name}.conf

### ipdiscover for ocs server
install -m 755 ipdiscover-util/ipdiscover-util.pl %buildroot%_sbindir
install -m 644 ipdiscover-util/README %buildroot%_defaultdocdir/%{serverdir}-%{version}/

popd

# end of linux server

# ocsng documentation
install -d 755 $RPM_BUILD_ROOT%_defaultdocdir/%{name}-%{version}
install -m 644 OCS_Inventory_NG-Installation_and_Administration_Guide_1.3_EN.pdf %buildroot%_defaultdocdir/%{name}-%{version}

%posttrans
%_post_webapp

%post
# needed for ocsng-linux-server (500 Internal Server Error otherwise)
# need to be corrected
touch %_var/log/ocsinventory-NG/ocsinventory-NG.log
chown apache:apache %_var/log/ocsinventory-NG/ocsinventory-NG.log
chmod 640 %_var/log/ocsinventory-NG/ocsinventory-NG.log

%postun
%_postun_webapp

%clean
rm -rf $RPM_BUILD_ROOT

%files doc
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}-%{version}

%files linux-server
%defattr(-,root,root)
%{_var}/www/ocsreports
%{_var}/www/cgi-bin/Ocsinventory_startup.pl
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{order}_%{name}.conf
%attr(-,apache,apache) %{_var}/log/ocsinventory-NG
%_datadir/%{serverdir}-%{version}
%_defaultdocdir/%{serverdir}-%{version}
%config(noreplace) %{_sysconfdir}/logrotate.d/ocsng-linux-server
%_sbindir/ipdiscover-util.pl

%files linux-server-ipdiscover
%defattr(-,root,root)
%_sbindir/ipdiscover
%_defaultdocdir/linux-server-ipdiscover-%{version}

%files linux-agent
%defattr(-,root,root)
%_sbindir/ipdiscover
%_sbindir/ocsinventory-installer.pl
%_sbindir/ocsinventory-client.pl
%_defaultdocdir/%{agentdir}-%{version}
%{_sysconfdir}/ocsinventory-client
%ghost %{_sysconfdir}/logrotate.d/ocsng-linux-agent

%changelog
* Sun Feb 05 2006 Anne Nicolas <anne.nicolas@mandriva.com> 1.0-9.1mdk
- initial release
